# DataExchange
TKSTEPBase
StepShape

# StepShape_Array1OfOrientedClosedShell Class Reference

`#include <StepShape_Array1OfOrientedClosedShell.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepShape_Array1OfOrientedClosedShell (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepShape_Array1OfOrientedClosedShell (const Handle(StepShape_OrientedClosedShell)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(StepShape_OrientedClosedShell)&V)
Standard_EXPORT void | Destroy ()
| ~StepShape_Array1OfOrientedClosedShell ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const StepShape_Array1OfOrientedClosedShell & | Assign (const StepShape_Array1OfOrientedClosedShell &Other)
const StepShape_Array1OfOrientedClosedShell & | operator= (const StepShape_Array1OfOrientedClosedShell &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(StepShape_OrientedClosedShell)&Value)
const Handle_StepShape_OrientedClosedShell & | Value (const Standard_Integer Index) const
const Handle_StepShape_OrientedClosedShell & | operator() (const Standard_Integer Index) const
Handle_StepShape_OrientedClosedShell & | ChangeValue (const Standard_Integer Index)
Handle_StepShape_OrientedClosedShell & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | StepShape_Array1OfOrientedClosedShell (const StepShape_Array1OfOrientedClosedShell &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_Array1OfOrientedClosedShell::StepShape_Array1OfOrientedClosedShell | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepShape_Array1OfOrientedClosedShell::StepShape_Array1OfOrientedClosedShell | ( | const Handle(StepShape_OrientedClosedShell)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

StepShape_Array1OfOrientedClosedShell::~StepShape_Array1OfOrientedClosedShell | ( |  | ) | `[inline]`

Standard_EXPORT StepShape_Array1OfOrientedClosedShell::StepShape_Array1OfOrientedClosedShell | ( | const StepShape_Array1OfOrientedClosedShell & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const StepShape_Array1OfOrientedClosedShell& StepShape_Array1OfOrientedClosedShell::Assign | ( | const StepShape_Array1OfOrientedClosedShell & | Other | ) |

Handle_StepShape_OrientedClosedShell& StepShape_Array1OfOrientedClosedShell::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void StepShape_Array1OfOrientedClosedShell::Destroy | ( |  | ) |

Standard_EXPORT void StepShape_Array1OfOrientedClosedShell::Init | ( | const Handle(StepShape_OrientedClosedShell)& | V | ) |

Standard_Boolean StepShape_Array1OfOrientedClosedShell::IsAllocated | ( |  | ) | const

Standard_Integer StepShape_Array1OfOrientedClosedShell::Length | ( |  | ) | const

Standard_Integer StepShape_Array1OfOrientedClosedShell::Lower | ( |  | ) | const

void StepShape_Array1OfOrientedClosedShell::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepShape_Array1OfOrientedClosedShell::operator new | ( | size_t | size | ) | `[inline]`

void* StepShape_Array1OfOrientedClosedShell::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_StepShape_OrientedClosedShell& StepShape_Array1OfOrientedClosedShell::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_StepShape_OrientedClosedShell& StepShape_Array1OfOrientedClosedShell::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const StepShape_Array1OfOrientedClosedShell& StepShape_Array1OfOrientedClosedShell::operator= | ( | const StepShape_Array1OfOrientedClosedShell & | Other | ) | `[inline]`

void StepShape_Array1OfOrientedClosedShell::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(StepShape_OrientedClosedShell)& | Value
| ) |

Standard_Integer StepShape_Array1OfOrientedClosedShell::Upper | ( |  | ) | const

const Handle_StepShape_OrientedClosedShell& StepShape_Array1OfOrientedClosedShell::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean StepShape_Array1OfOrientedClosedShell::isAllocated `[private]`

Standard_Integer StepShape_Array1OfOrientedClosedShell::myLowerBound `[private]`

Standard_Address StepShape_Array1OfOrientedClosedShell::myStart `[private]`

Standard_Integer StepShape_Array1OfOrientedClosedShell::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- StepShape_Array1OfOrientedClosedShell.hxx